<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:dataset="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/dataset">

    <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index" />
    <h1>
        <h:panelGroup styleClass="navigation">
            <h:panelGroup styleClass="navigationItem">
                <h:graphicImage name="home.png" library="images" />
                <h:outputLink value="index.jsf">#{index.PARAM_MSG_BREADCRUMBS}</h:outputLink>
            </h:panelGroup>
            <h:panelGroup styleClass="navigationItem">#{datasetManagementPanel.PARAM_MSG_BREAD_CRUMBS}</h:panelGroup>
        </h:panelGroup>
        <h:panelGroup styleClass="title">
            <h:graphicImage name="dataset.png" library="images" />
            <h:outputText value="#{datasetManagementPanel.PARAM_MSG_TITLE}" />
        </h:panelGroup>
    </h1>
    <h:form>
        <rich:togglePanel activeItem="helpTitle" switchType="client"
                          styleClass="help-panel">
            <rich:togglePanelItem name="helpTitle">
                <h:graphicImage value="#{resource['images:help.png']}">
                    <rich:toggleControl targetItem="@next" event="click" />
                </h:graphicImage>
                <p class="intro-main">
                    <h:outputText
                        value="#{datasetManagementPanel.PARAM_MSG_INTRO_MAIN_FIRST_LINE}"
                        escape="false" />
                </p>
            </rich:togglePanelItem>
            <rich:togglePanelItem name="helpDescription" styleClass="description">
                <h:graphicImage value="#{resource['images:help.png']}">
                    <rich:toggleControl targetItem="@prev" event="click" />
                </h:graphicImage>
                <p class="intro-main">
                    <h:outputText value="#{datasetManagementPanel.PARAM_MSG_INTRO_MAIN}"
                                  escape="false" />
                </p>
            </rich:togglePanelItem>
        </rich:togglePanel>
    </h:form>

    <f:loadBundle
        basename="org.inra.ecoinfo.dataset.jsf.datasetManagementPanel"
        var="datasetManagementPanel" />

    <a4j:status name="statusWaitLongerPublish"
                onstart="#{rich:component('beginProcessPopup')}.show();"
                onstop="#{rich:component('beginProcessPopup')}.hide()"
                onerror="#{rich:component('beginProcessPopup')}.hide(); refreshAfterDatasetErrors()" />

    <a4j:jsFunction name="refreshAfterDatasetErrors" execute="@this"
                    render="datasetsDetailsPanel,selectedDatasetDetailsPanel" />

    <a4j:push address="publishOccuredAdress#{uiNotifications.login}"
              ondataavailable="refreshAfterDatasetErrors()">
        <a4j:ajax event="dataavailable" execute="@this" render="@none" />
    </a4j:push>

    <h:outputStylesheet library="css"
                        name="/org/inra/ecoinfo/dataset/jsf-datasetManagementPanel-styles.css" />

    <div style="display:none">
    <rich:popupPanel id="uploadFilesToCheckPopup" autosized="false"
                     width="500" height="350" modal="true" moveable="true"
                     styleClass="uploadFilesToCheckPopup">
        <f:facet name="header">
            <h:outputText escape="false"
                          value="#{datasetManagementPanel.PARAM_MSG_CHECK_FILE}" />
        </f:facet>
        <f:facet name="controls">
            <h:graphicImage name="close.png" library="images" styleClass="logout" 
                            onclick="#{rich:component('uploadFilesToCheckPopup')}.hide();
                                    return false;" />
        </f:facet>
        <h:panelGroup layout="block">
            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_CHECK_FILE_INFO}"
                escape="false" styleClass="intro" />
        </h:panelGroup>
        <h:form>
            <rich:fileUpload id="uploadFilesToCheckSelectionTable"
                             allowFlash="auto"
                             addLabel="#{datasetManagementPanel.PARAM_MSG_ADD_FILE}"
                             acceptedTypes="#{uiDataset.acceptedTypesForSelection}" 
                             fileUploadListener="#{uiDataset.uploadCheckListener}" execute="@form"
                             uploadLabel="#{datasetManagementPanel.PARAM_MSG_DO_CHECK_FILE}"
                             styleClass="uploadPanel"
                             deleteLabel="#{datasetManagementPanel.PARAM_MSG_DELETE}"
                             clearAllLabel="#{datasetManagementPanel.PARAM_MSG_DROP_ALL}"
                             clearLabel="#{datasetManagementPanel.PARAM_MSG_DROP}"
                             doneLabel="#{datasetManagementPanel.PARAM_MSG_DONE}"
                             onuploadcomplete="#{rich:component('uploadFilesToCheckPopup')}.hide();showPopupTimer(2000,'#{datasetManagementPanel.PARAM_MSG_CHECK_DONE}')"
                             ontyperejected="alert('#{datasetManagementPanel.PARAM_MSG_ONLY_CSV_FILE_ALERT}');"
                             autoclear="true" maxFilesQuantity="20">
                <f:facet name="label">
                    <h:outputText value="{_KB}KB from {KB}KB uploaded --- {mm}:{ss}" />
                </f:facet>
            </rich:fileUpload>
        </h:form>



    </rich:popupPanel>

    <rich:popupPanel id="confirmPublish" autosized="true" modal="true"
                     moveable="true" styleClass="uploadFilesToCheckPopup">
        <f:facet name="header">
            <h:outputText escape="false"
                          value="#{datasetManagementPanel.PARAM_MSG_CONFIRM_CHECK}" />
        </f:facet>
        <f:facet name="controls">
            <h:graphicImage name="close.png" library="images" styleClass="logout"
                            onclick="#{rich:component('confirmPublish')}.hide();
                                    return false;" />
        </f:facet>
        <h:panelGroup style="width:500px" layout="block">
            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_PUBLISH_FILE}"
                styleClass="intro" rendered="#{uiDataset.selectedVersion.checked}" />
            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_UNPUBLISH_FILE}"
                styleClass="intro"
                rendered="#{not uiDataset.selectedVersion.checked}" />
            <h:panelGrid columns="2" columnClasses="left,right"
                         styleClass="abstractVersionSelected">
                <h:outputText
                    value="#{datasetManagementPanel.PARAM_MSG_VERSION_NUMBER}" />
                <h:outputText
                    value="#{uiDataset.selectedVersion.versionFile.versionNumber}" />
                <h:outputText
                    value="#{datasetManagementPanel.PARAM_MSG_PUBLISH_DATE}" />
                <h:outputText
                    value="#{uiDataset.selectedVersion.versionFile.uploadDate}">
                    <f:convertDateTime
                        pattern="dd/MM/yyyy #{datasetManagementPanel.PARAM_MSG_AT} HH:mm"
                        locale="fr_fr" timeZone="#{uiDataset.timeZone}" />
                </h:outputText>
                <h:outputText value="#{datasetManagementPanel.PARAM_MSG_UPLOAD_USER}" />
                <h:outputText
                    value="#{uiDataset.selectedVersion.versionFile.uploadUser.prenom} #{uiDataset.selectedVersion.versionFile.uploadUser.nom}" />
            </h:panelGrid>

            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_UNPUBLISH_BEFORE_PUBLISH}"
                styleClass="intro important"
                rendered="#{uiDataset.selectedDataset.publishVersion != null and uiDataset.selectedVersion.checked}" />

            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_CONFIRM_PUBLISH}"
                styleClass="intro" rendered="#{uiDataset.selectedVersion.checked}" />

            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_CONFIRM_PUBLISH}"
                styleClass="intro"
                rendered="#{not uiDataset.selectedVersion.checked}" />

            <h:panelGroup layout="block" styleClass="logoutButtons">
                <a4j:commandButton value="Confirmer"
                                   action="#{uiDataset.publishCheckbox}"
                                   render="datasetsDetailsPanel,selectedDatasetDetailsPanel"
                                   onbegin="#{rich:component('confirmPublish')}.hide();"
                                   execute="@this" status="statusWaitLongerPublish" />


                <a4j:commandButton value="#{datasetManagementPanel.PARAM_MSG_CANCEL}"
                                   oncomplete="#{rich:component('confirmPublish')}.hide(); return false;"
                                   execute="@none" render="selectedDatasetDetailsPanel" />
            </h:panelGroup>
        </h:panelGroup>

    </rich:popupPanel>

    <rich:popupPanel id="confirmDelete" autosized="true" modal="true"
                     moveable="true" styleClass="uploadFilesToCheckPopup">
        <f:facet name="header">
            <h:outputText escape="false"
                          value="#{datasetManagementPanel.PARAM_MSG_CONFIRM_UPLOAD}" />
        </f:facet>
        <f:facet name="controls">
            <h:graphicImage name="close.png" library="images" styleClass="logout"
                            onclick="#{rich:component('confirmPublish')}.hide();
                                    return false;" />
        </f:facet>
        <h:panelGroup style="width:500px" layout="block">
            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_DELETE_VERSION}"
                styleClass="intro" />
            <h:panelGrid columns="2" columnClasses="left,right"
                         styleClass="abstractVersionSelected">
                <h:outputText
                    value="#{datasetManagementPanel.PARAM_MSG_VERSION_NUMBER}" />
                <h:outputText
                    value="#{uiDataset.selectedVersion.versionFile.versionNumber}" />
                <h:outputText
                    value="#{datasetManagementPanel.PARAM_MSG_PUBLISH_DATE}" />
                <h:outputText
                    value="#{uiDataset.selectedVersion.versionFile.uploadDate}">
                    <f:convertDateTime
                        pattern="dd/MM/yyyy #{datasetManagementPanel.PARAM_MSG_AT} HH:mm"
                        timeZone="#{uiDataset.timeZone}" />
                </h:outputText>
                <h:outputText value="#{datasetManagementPanel.PARAM_MSG_UPLOAD_USER}" />
                <h:outputText
                    value="#{uiDataset.selectedVersion.versionFile.uploadUser.prenom} #{uiDataset.selectedVersion.versionFile.uploadUser.nom}" />
            </h:panelGrid>
            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_ALERT_CONFIRM_DELETE}"
                styleClass="intro" />


            <h:panelGroup layout="block" styleClass="logoutButtons">
                <a4j:commandButton action="#{uiDataset.deleteVersion}"
                                   value="#{datasetManagementPanel.PARAM_MSG_CONFIRM}"
                                   onbegin="#{rich:component('confirmDelete')}.hide()" execute="@this"
                                   render="datasetsDetailsPanel,selectedDatasetDetailsPanel"
                                   status="statusWaitLongerPublish" />
                <a4j:commandButton value="#{datasetManagementPanel.PARAM_MSG_CANCEL}"
                                   oncomplete="#{rich:component('confirmDelete')}.hide(); return false;"
                                   execute="@none" render="selectedDatasetDetailsPanel" />
            </h:panelGroup>

        </h:panelGroup>
    </rich:popupPanel>

    <rich:popupPanel id="uploadFilesToSubmitPopup" autosized="false"
                     width="500" height="350" modal="true" moveable="true"
                     styleClass="uploadFilesToCheckPopup">
        <f:facet name="header">
            <h:outputText escape="false"
                          value="#{datasetManagementPanel.PARAM_MSG_FILE_REPOSITORY}" />
        </f:facet>
        <f:facet name="controls">
            <h:graphicImage name="close.png" library="images" styleClass="logout"
                            onclick="#{rich:component('uploadFilesToSubmitPopup')}.hide();
                                    return false;" />
        </f:facet>
        <h:panelGroup layout="block">
            <h:outputText
                value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_UPLOAD_FILES}"
                styleClass="intro" escape="false" />
        </h:panelGroup>
        <h:form>
            <rich:fileUpload id="uploadFilesToSubmitSelectionTable"
                             allowFlash="auto"
                             addLabel="#{datasetManagementPanel.PARAM_MSG_ADD_FILE}"
                             acceptedTypes="#{uiDataset.acceptedTypesForSelection}" 
                             render="datasetsDetailsPanel,selectedDatasetDetailsPanel"
                             onuploadcomplete="#{rich:component('uploadFilesToSubmitPopup')}.hide();"
                             fileUploadListener="#{uiDataset.uploadSubmitListener}"
                             execute="@form"
                             uploadLabel="#{datasetManagementPanel.PARAM_MSG_DO_UPLOAD}"
                             styleClass="uploadPanel"
                             deleteLabel="#{datasetManagementPanel.PARAM_MSG_DELETE}"
                             clearAllLabel="#{datasetManagementPanel.PARAM_MSG_DROP_ALL}"
                             clearLabel="#{datasetManagementPanel.PARAM_MSG_DROP}"
                             doneLabel="#{datasetManagementPanel.PARAM_MSG_DONE}"
                             ontyperejected="alert('#{datasetManagementPanel.PARAM_MSG_ONLY_CSV_FILE_ALERT}');"
                             autoclear="true" maxFilesQuantity="20">
                <f:facet name="label">
                    <h:outputText value="{_KB}KB from {KB}KB uploaded --- {mm}:{ss}" />
                </f:facet>
            </rich:fileUpload>
        </h:form>
    </rich:popupPanel>
    </div>
    <div class="subcontainer">
        <div class="left">
            <h2>#{datasetManagementPanel.PARAM_MSG_DATA_TREE}</h2>
            <rich:togglePanel activeItem="helpTitle" switchType="client"
                              styleClass="help-panel">
                <rich:togglePanelItem name="helpTitle">
                    <h:graphicImage value="#{resource['images:help.png']}">
                        <rich:toggleControl targetItem="@next" event="click" />
                    </h:graphicImage>
                    <span>#{datasetManagementPanel.PARAM_MSG_SELECT_SITE}</span>
                </rich:togglePanelItem>
                <rich:togglePanelItem name="helpDescription" styleClass="description">
                    <h:graphicImage value="#{resource['images:help.png']}">
                        <rich:toggleControl targetItem="@prev" event="click" />
                    </h:graphicImage>
                    <h:outputText
                        value="#{datasetManagementPanel.PARAM_MSG_HELP_SELECT}"
                        escape="false" />
                </rich:togglePanelItem>
            </rich:togglePanel>



            <h:form>

                <ui:insert name="datasetTree" />
            </h:form>
        </div>
        <div class="right">


            <ui:insert name="datasetCurrentSelection" />


            <h:panelGroup id="datasetsDetailsPanel">

                <h:panelGroup rendered="#{uiDataset.displayDatasetPanel}">


                    <rich:jQuery selector="#datasetsDetailsDatatable tr:odd"
                                 query="addClass('odd-row')" />
                    <rich:jQuery selector="#datasetsDetailsDatatable tr:even"
                                 query="addClass('even-row')" />
                    <rich:jQuery selector="#datasetsDetailsDatatable tr"
                                 event="mouseover" query="jQuery(this).addClass('active-row')" />
                    <rich:jQuery selector="#datasetsDetailsDatatable tr"
                                 event="mouseout" query="jQuery(this).removeClass('active-row')" />

                    <a4j:outputPanel layout="block"
                                     rendered="#{uiDataset.datasetsSelection == null or fn:length(uiDataset.datasetsSelection) == 0}"
                                     styleClass="warning">
                        <h:graphicImage value="#{resource['images:warning.png']}"
                                        styleClass="warning" />
                        <h:outputText
                            value="#{datasetManagementPanel.PARAM_MSG_NO_DATASET_ALERT1}"
                            escape="false" />
                        <h:graphicImage value="#{resource['images:add.png']}" />
                        <h:outputText
                            value="  #{datasetManagementPanel.PARAM_MSG_NO_DATASET_ALERT2}"
                            escape="false" />
                    </a4j:outputPanel>
                    <a4j:outputPanel
                        rendered="#{uiDataset.datasetsSelection != null and fn:length(uiDataset.datasetsSelection) > 0}" layout="block">

                        <h3>#{datasetManagementPanel.PARAM_MSG_DATASET_TITLE}</h3>

                        <p class="intro">#{datasetManagementPanel.PARAM_MSG_DATASET_INTRO}</p>

                        <a4j:jsFunction name="updateDatasetId" execute="@this"
                                        render="selectedDatasetDetailsPanel">
                            <a4j:param name="param1" assignTo="#{uiDataset.selectedDatasetId}" />
                        </a4j:jsFunction>

                        <rich:dataTable var="currentDataset"
                                        value="#{uiDataset.datasetsSelection}"
                                        styleClass="dataTable stable" id="datasetsDetailsDatatable">
                            <!-- 
                                                                            <a4j:ajax event="rowm" listener="#{uiDataset.rowSelected}"  render="selectedDatasetDetailsPanel" />
                            -->
                            <rich:column>
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_DATASET_PERIOD}" />
                                </f:facet>
                                <a4j:outputPanel layout="block" style="width:100%; height: 100%"
                                                 onclick="updateDatasetId(#{currentDataset.id})">
                                    #{datasetManagementPanel.PARAM_MSG_FROM} <h:outputText
                                        value="#{currentDataset.dateDebutPeriode}">
                                        <f:convertDateTime pattern="dd/MM/yyyy"
                                                           timeZone="#{uiDataset.timeZone}" />
                                    </h:outputText> #{datasetManagementPanel.PARAM_MSG_TO} 

                                    <h:outputText value="#{currentDataset.dateFinPeriode}">
                                        <f:convertDateTime pattern="dd/MM/yyyy"
                                                           timeZone="#{uiDataset.timeZone}" />
                                    </h:outputText>
                                </a4j:outputPanel>
                            </rich:column>

                            <rich:column>
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_LAST_UPLOAD}" />
                                </f:facet>
                                <a4j:outputPanel layout="block" style="width:100%; height: 100%"
                                                 onclick="updateDatasetId(#{currentDataset.id})">
                                    <h:outputText value="#{currentDataset.lastVersion.uploadDate}">
                                        <f:convertDateTime
                                            pattern="dd/MM/yyyy #{datasetManagementPanel.PARAM_MSG_AT} HH:mm"
                                            timeZone="#{uiDataset.timeZone}" />
                                    </h:outputText>
                                </a4j:outputPanel>

                            </rich:column>

                            <rich:column>
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_LAST_UPLOAD_USER}" />
                                </f:facet>
                                <a4j:outputPanel layout="block" style="width:100%; height: 100%"
                                                 onclick="updateDatasetId(#{currentDataset.id})">
                                    <h:outputText
                                        value="#{currentDataset.lastVersion.uploadUser.prenom} #{currentDataset.lastVersion.uploadUser.nom}" />
                                </a4j:outputPanel>
                            </rich:column>

                            <rich:column>
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_NUMBER_OF_VERSIONS}" />
                                </f:facet>
                                <a4j:outputPanel layout="block" style="width:100%; height: 100%"
                                                 onclick="updateDatasetId(#{currentDataset.id})">
                                    <h:outputText value="#{fn:length(currentDataset.versions)}" />
                                </a4j:outputPanel>
                            </rich:column>

                            <rich:column>
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_PUBLISH_DATE}" />
                                </f:facet>
                                <a4j:outputPanel layout="block" style="width:100%; height: 100%"
                                                 onclick="updateDatasetId(#{currentDataset.id})">
                                    <h:outputText value="#{currentDataset.publishDate}"
                                                  rendered="#{currentDataset.publishDate != null}"
                                                  styleClass="present">
                                        <f:convertDateTime
                                            pattern="dd/MM/yyyy #{datasetManagementPanel.PARAM_MSG_AT} HH:mm"
                                            timeZone="#{uiDataset.timeZone}" />
                                    </h:outputText>
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_NOT_PUBLISH}"
                                        styleClass="absent"
                                        rendered="#{currentDataset.publishDate == null}" />

                                </a4j:outputPanel>

                            </rich:column>



                        </rich:dataTable>
                    </a4j:outputPanel>
                </h:panelGroup>
            </h:panelGroup>


            <h:panelGroup id="selectedDatasetDetailsPanel">
                <h:panelGroup
                    rendered="#{uiDataset.displayDatasetPanel and (uiDataset.selectedDataset == null and fn:length(uiDataset.datasetsSelection) > 0)}"
                    styleClass="important">
                    <p class="intro">#{datasetManagementPanel.PARAM_MSG_NO_DATASET_SELECTED}</p>

                </h:panelGroup>
                <h:panelGroup
                    rendered="#{uiDataset.displayDatasetPanel and uiDataset.selectedDataset != null}">

                    <rich:jQuery selector="#selectedDatasetDetailsDatatable tr:odd"
                                 query="addClass('odd-row')" />
                    <rich:jQuery selector="#selectedDatasetDetailsDatatable tr:even"
                                 query="addClass('even-row')" />
                    <rich:jQuery selector="#selectedDatasetDetailsDatatable tr"
                                 event="mouseover" query="jQuery(this).addClass('active-row')" />
                    <rich:jQuery selector="#selectedDatasetDetailsDatatable tr"
                                 event="mouseout" query="jQuery(this).removeClass('active-row')" />

                    <h3>
                        #{datasetManagementPanel.PARAM_MSG_SELECTED_VERSIONS}<span
                            class="right"> #{datasetManagementPanel.PARAM_MSG_FROM} <h:outputText
                                value="#{uiDataset.selectedDataset.dateDebutPeriode}">
                                <f:convertDateTime pattern="dd/MM/yyyy"
                                                   timeZone="#{uiDataset.timeZone}" />
                            </h:outputText> #{datasetManagementPanel.PARAM_MSG_TO} <h:outputText
                                value="#{uiDataset.selectedDataset.dateFinPeriode}">
                                <f:convertDateTime pattern="dd/MM/yyyy"
                                                   timeZone="#{uiDataset.timeZone}" />
                            </h:outputText>
                        </span>
                    </h3>

                    <a4j:region>
                        <rich:dataTable var="version"
                                        value="#{uiDataset.selectedDataset.collectionVersions}"
                                        styleClass="dataTable stable" id="selectedDatasetDetailsDatatable"
                                        binding="#{uiDataset.selectedDatasetDetailsDatatable}"
                                        rowClasses="odd-row, even-row">

                            <rich:column styleClass="numberVersion"
                                         sortBy="#{version.versionNumber}" sortOrder="descending">
                                <f:facet name="header">
                                    <a4j:commandLink>
                                        <h:outputText value="N°" />
                                        <rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
                                            <h:outputText
                                                value="#{datasetManagementPanel.PARAM_MSG_VERSION_NUMBER}" />
                                        </rich:tooltip>
                                    </a4j:commandLink>
                                </f:facet>
                                <h:outputText value="#{version.versionNumber}" />
                            </rich:column>
                            <rich:column styleClass="dateVersion">
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_UPLOAD_DATE}" />
                                </f:facet>
                                <h:outputText value="#{version.uploadDate}">
                                    <f:convertDateTime
                                        pattern="dd/MM/yyyy #{datasetManagementPanel.PARAM_MSG_AT} HH:mm"
                                        timeZone="#{uiDataset.timeZone}" />
                                </h:outputText>
                            </rich:column>

                            <rich:column styleClass="uploadUser">
                                <f:facet name="header">
                                    <h:outputText
                                        value="#{datasetManagementPanel.PARAM_MSG_UPLOAD_USER}" />
                                </f:facet>
                                <h:outputText
                                    value="#{version.uploadUser.prenom} #{version.uploadUser.nom}" />

                            </rich:column>

                            <rich:column>
                                <f:facet name="header">
                                    <h:outputText value="#{datasetManagementPanel.PARAM_MSG_LENGTH}" />
                                </f:facet>
                                <h:outputText value="#{version.fileSizeAffichage}" />
                            </rich:column>

                            <rich:column styleClass="actionPublication">
                                <f:facet name="header">
                                    <a4j:commandLink>
                                        <h:outputText
                                            value="#{datasetManagementPanel.PARAM_MSG_PUBLISH}" />
                                        <rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
                                            <h:outputText
                                                value="#{datasetManagementPanel.PARAM_MSG_PUBLISH_DESCRIPTION}" />
                                        </rich:tooltip>
                                    </a4j:commandLink>
                                </f:facet>

                                <a4j:jsFunction name="publish" execute="@this"
                                                oncomplete="#{rich:component('confirmPublish')}.show()"
                                                render="confirmPublish">
                                    <a4j:param name="param1"
                                               assignTo="#{uiDataset.selectedVersion.checked}" />
                                    <a4j:param name="param2"
                                               assignTo="#{uiDataset.selectedVersion.id}" />

                                </a4j:jsFunction>

                                <h:selectBooleanCheckbox
                                    value="#{uiDataset.selectedDataset.publishVersion.id == version.id}"
                                    disabled="#{not uiDataset.currentSelection.actionPublish}"
                                    onclick="publish(this.checked,#{version.id})">
                                </h:selectBooleanCheckbox>

                            </rich:column>

                            <rich:column styleClass="actionsPossibles">
                                <h:outputLink value="downloadVersion?versionId=#{version.id}"
                                              id="downloadOutputLink">
                                    <rich:tooltip for="downloadOutputLink" styleClass="tooltip"
                                                  layout="block" showDelay="500">
                                        <h:outputText
                                            value="#{datasetManagementPanel.PARAM_MSG_UPLOAD_THIS_VERSION}" />
                                    </rich:tooltip>
                                    <h:graphicImage value="#{resource['images:download.png']}" />
                                </h:outputLink>
                                <a4j:jsFunction name="deleteVersion" execute="@this"
                                                oncomplete="#{rich:component('confirmDelete')}.show()"
                                                render="confirmDelete">
                                    <a4j:param name="param1"
                                               assignTo="#{uiDataset.selectedVersion.id}" />
                                </a4j:jsFunction>
                                <a4j:outputPanel layout="block">
                                    <rich:tooltip styleClass="tooltip" layout="block"
                                                  showDelay="500">
                                        <h:outputText
                                            value="#{datasetManagementPanel.PARAM_MSG_DELETE_THIS_VERSION}" />
                                    </rich:tooltip>
                                    <h:graphicImage value="#{resource['images:file_delete.gif']}"
                                                    onclick="deleteVersion(#{version.id})"
                                                    rendered="#{uiDataset.currentSelection.actionDelete}" />
                                </a4j:outputPanel>
                                <h:graphicImage value="#{resource['images:file_delete.gif']}"
                                                rendered="#{not uiDataset.currentSelection.actionDelete}"
                                                styleClass="disabled" />
                            </rich:column>
                        </rich:dataTable>
                    </a4j:region>
                </h:panelGroup>
            </h:panelGroup>
        </div>
    </div>
</html>